Module javafx.graphics
Package javafx.scene.effect

# Class GaussianBlur

java.lang.Object
javafx.scene.effect.Effect
javafx.scene.effect.GaussianBlur

public class GaussianBlur extends Effect
A blur effect using a Gaussian convolution kernel, with a configurable radius.

Example:

     Text text = new Text();
     text.setText("Blurry Text!");
     text.setFill(Color.web("0x3b596d"));
     text.setFont(Font.font(null, FontWeight.BOLD, 50));
     text.setX(10);
     text.setY(50);

     text.setEffect(new GaussianBlur());

The code above produces the following:

Since:
  JavaFX 2.0

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final ObjectProperty<Effect>`
  `input`
  The input for this `Effect`.
  `final DoubleProperty`
  `radius`
  The radius of the blur kernel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GaussianBlur()`
  Creates a new instance of GaussianBlur with default parameters.
  `GaussianBlur(double radius)`
  Creates a new instance of GaussianBlur with the specified radius.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Effect`
  `getInput()`
  Gets the value of the `input` property.
  `final double`
  `getRadius()`
  Gets the value of the `radius` property.
  `final ObjectProperty<Effect>`
  `inputProperty()`
  The input for this `Effect`.
  `final DoubleProperty`
  `radiusProperty()`
  The radius of the blur kernel.
  `final void`
  `setInput(Effect value)`
  Sets the value of the `input` property.
  `final void`
  `setRadius(double value)`
  Sets the value of the `radius` property.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Property Details

  - ### input

    public final ObjectProperty<Effect> inputProperty
    The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
    Default value:
      null
    See Also:
      - `getInput()`
      - `setInput(Effect)`
      - `inputProperty()`

  - ### radius

    public final DoubleProperty radiusProperty
    The radius of the blur kernel.

               Min:  0.0
               Max: 63.0
           Default: 10.0
          Identity:  0.0

    Default value:
      10.0
    See Also:
      - `getRadius()`
      - `setRadius(double)`
      - `radiusProperty()`

- ## Constructor Details

  - ### GaussianBlur

    public GaussianBlur()
    Creates a new instance of GaussianBlur with default parameters.

  - ### GaussianBlur

    public GaussianBlur(double radius)
    Creates a new instance of GaussianBlur with the specified radius.
    Parameters:
      `radius` - the radius of the blur kernel
    Since:
      JavaFX 2.1

- ## Method Details

  - ### setInput

    public final void setInput(Effect value)
    Sets the value of the `input` property.
    Property description:
      The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
    Default value:
      null
    Parameters:
      `value` - the value for the `input` property
    See Also:
      - `getInput()`
      - `inputProperty()`

  - ### getInput

    public final Effect getInput()
    Gets the value of the `input` property.
    Property description:
      The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
    Default value:
      null
    Returns:
      the value of the `input` property
    See Also:
      - `setInput(Effect)`
      - `inputProperty()`

  - ### inputProperty

    public final ObjectProperty<Effect> inputProperty()
    The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
    Default value:
      null
    Returns:
      the `input` property
    See Also:
      - `getInput()`
      - `setInput(Effect)`

  - ### setRadius

    public final void setRadius(double value)
    Sets the value of the `radius` property.
    Property description:
      The radius of the blur kernel.

                 Min:  0.0
                 Max: 63.0
             Default: 10.0
            Identity:  0.0

    Default value:
      10.0
    Parameters:
      `value` - the value for the `radius` property
    See Also:
      - `getRadius()`
      - `radiusProperty()`

  - ### getRadius

    public final double getRadius()
    Gets the value of the `radius` property.
    Property description:
      The radius of the blur kernel.

                 Min:  0.0
                 Max: 63.0
             Default: 10.0
            Identity:  0.0

    Default value:
      10.0
    Returns:
      the value of the `radius` property
    See Also:
      - `setRadius(double)`
      - `radiusProperty()`

  - ### radiusProperty

    public final DoubleProperty radiusProperty()
    The radius of the blur kernel.

               Min:  0.0
               Max: 63.0
           Default: 10.0
          Identity:  0.0

    Default value:
      10.0
    Returns:
      the `radius` property
    See Also:
      - `getRadius()`
      - `setRadius(double)`